Subject: Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion

From: Michael Heerdegen <[email-masked]>
Date: Tue, 07 Feb 2023 01:35:26 +0100

Michael Albinus <[email-masked]> writes:

> I've improved the patch, and I've committed it to master. It works now
> for all different Tramp syntaxes as well as for all completion styles
> except `initials' and `shorthand'. Likely, these two are not so relevant
> for file name completion.

This breaks Emacs horribly: in emacs -Q (require 'tramp) and M-x dired RET
for example:

Debugger entered--Lisp error: (file-missing "Searching for program" "No such file or directory" "ls")
  (call-process "ls" nil nil nil "--dired")
  ...
  (dired-noselect "~/" nil)

All programs seem to be gone, shells etc.  I thought my Laptop had died!
Rebasing with your commit omitted fixes the problem.

Michael.